#ifndef FOCUSEVENT_HPP_INCLUDED
#define FOCUSEVENT_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

namespace Internal
{
    class FocusEvent : public Object
    {
        public:
            FocusEvent(const void* Object);
            FocusEvent(Object Source, std::int32_t ID);

            FocusEvent() = default;
            FocusEvent(FocusEvent&& Obj) = default;
            FocusEvent(const FocusEvent& Obj) = default;
            FocusEvent& operator=(FocusEvent&& Obj) = default;
            FocusEvent& operator=(const FocusEvent& Obj) = default;
    };
}

#endif // FOCUSEVENT_HPP_INCLUDED
